summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorbug2015-06-15 18:29:51 +0300
committerbug2015-06-15 18:29:51 +0300
commitf2f5d00444ed66b457e4fb2125d70dbdd060cdd1 (patch)
tree03411ce68c70a995ff420257beeb7968692f4d87
downloadaur-f2f5d00444ed66b457e4fb2125d70dbdd060cdd1.tar.gz
Initial import
-rw-r--r--.AURINFO17
-rw-r--r--.SRCINFO17
-rw-r--r--PKGBUILD22
3 files changed, 56 insertions, 0 deletions
diff --git a/.AURINFO b/.AURINFO
new file mode 100644
index 00000000000..63f002f695f
--- /dev/null
+++ b/.AURINFO
@@ -0,0 +1,17 @@
+pkgbase = pioneers
+ pkgdesc = A clone of the famous Siedler of Catan game
+ pkgver = 15.3
+ pkgrel = 1
+ url = http://pio.sourceforge.net/
+ arch = i686
+ arch = x86_64
+ license = GPL2
+ makedepends = pkgconfig
+ makedepends = intltool
+ makedepends = librsvg
+ depends = gtk2
+ source = http://downloads.sourceforge.net/pio/pioneers-15.3.tar.gz
+ md5sums = 00a50e39eb87de293843b33733d40bf9
+
+pkgname = pioneers
+
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..63f002f695f
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,17 @@
+pkgbase = pioneers
+ pkgdesc = A clone of the famous Siedler of Catan game
+ pkgver = 15.3
+ pkgrel = 1
+ url = http://pio.sourceforge.net/
+ arch = i686
+ arch = x86_64
+ license = GPL2
+ makedepends = pkgconfig
+ makedepends = intltool
+ makedepends = librsvg
+ depends = gtk2
+ source = http://downloads.sourceforge.net/pio/pioneers-15.3.tar.gz
+ md5sums = 00a50e39eb87de293843b33733d40bf9
+
+pkgname = pioneers
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..8df4692ba4e
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,22 @@
+# Maintainer: bug <bug2000@gmail.com>
+# Contributor: Lone_Wolf <lonewolf@xs4all.nl>
+pkgname=pioneers
+pkgver=15.3
+pkgrel=1
+pkgdesc="A clone of the famous Siedler of Catan game"
+arch=('i686' 'x86_64')
+url="http://pio.sourceforge.net/"
+license=('GPL2')
+depends=('gtk2')
+makedepends=('pkgconfig' 'intltool' 'librsvg')
+source=(http://downloads.sourceforge.net/pio/$pkgname-$pkgver.tar.gz)
+md5sums=('00a50e39eb87de293843b33733d40bf9')
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ ./configure --prefix=/usr
+ make || return 1
+}
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+ make DESTDIR="$pkgdir" install
+}